الانتقال إلى المحتوى الرئيسي
POST
/
runway
/
pro
/
act_one
Act-one Expression Migration
curl --request POST \
  --url https://api.cometapi.com/runway/pro/act_one \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "video": "http://runwaycdn.rixapi.com/attachments/video/runway/20241015/82bc23c83b5c32e75059c8328df5cffb.mp4",
  "image": "https://db.xiaohuhd.com/1.jpeg",
  "callback_url": "http://baidu.com"
}
'
{
  "code": 123,
  "msg": "<string>",
  "data": {
    "task_id": "<string>"
  },
  "exec_time": 123
}
استخدم نقطة النهاية هذه لنقل التعبير أو الأداء من فيديو مصدر إلى صورة منفصلة عبر غلاف Runway ذي التنسيق العكسي.

القيود الحالية

  • يدعم هذا المسار حاليًا الأصول المصدرية بنسبة 16:9 فقط
  • تحتاج إلى كلٍّ من video مصدر وimage هدف
  • ابدأ بمقطع مصدر قصير ومستقر قبل أن تواصل ضبط سير العمل بشكل أدق

تدفق المهمة

1

إنشاء مهمة act-one

أرسل فيديو المصدر، والصورة الهدف، وإعدادات callback أو التتبع، ثم احفظ معرّف المهمة المُعاد.
2

الاستعلام عن المهمة

تابع باستخدام Feed Get Task حتى يصل الغلاف إلى حالة نهائية.
3

الاحتفاظ بالنتيجة

خزّن المخرجات النهائية في مسار معالجة الوسائط الخاص بك إذا كنت بحاجة إلى وصول دائم.

التفويضات

Authorization
string
header
مطلوب

Bearer token authentication. Use your CometAPI key.

الترويسات

X-Runway-Version
string

Optional Runway version header, for example 2024-11-06.

الجسم

application/json
video
string
افتراضي:http://runwaycdn.rixapi.com/attachments/video/runway/20241015/82bc23c83b5c32e75059c8328df5cffb.mp4
مطلوب

URL of the source video containing the performance to transfer.

image
string
افتراضي:https://db.xiaohuhd.com/1.jpeg
مطلوب

URL of the target image whose character will receive the expression.

callback_url
string
افتراضي:https://example.com/webhook
مطلوب

Webhook URL that receives a POST request with the result when the task completes.

الاستجابة

200 - application/json

OK

code
integer
مطلوب

HTTP status code

msg
string
مطلوب

Text description of the request result

data
object
مطلوب

Object containing specific response data.

exec_time
number
مطلوب

Time spent by the server processing this request